.fowler-popup {
    display:none;
    position:fixed;
    inset:0;
    width:100%;
    height:100%;
    background:rgba(0,0,0,.65);
    z-index:999999;
    align-items:center;
    justify-content:center;
}

.fowler-popup.active {
    display:flex;
}


.fowler-popup-inner {

    background:white;
    width:90%;
    max-width:600px;

    max-height:80vh;
    overflow-y:auto;

    padding:35px;
    border-radius:12px;

    position:relative;

}


.fowler-popup-close {

    position: sticky;

    top:0;

    float:right;

    margin-top:-20px;
    margin-right:-20px;

    width:40px;
    height:40px;

    padding:0;

    border:none;
    border-radius:50%;

    background:white;
    color:#333;

    font-size:28px;
    line-height:38px;
    text-align:center;

    cursor:pointer;

    z-index:20;

    box-shadow:0 3px 10px rgba(0,0,0,.2);

}

.fowler-popup-trigger {
    cursor:pointer;
  display: block !important;
  width: 100% !important;
  text-align: center !important;
  background: linear-gradient(135deg, #8b0045, #2A7B9B) !important;
  color: #fff !important;
  border: none !important;
  border-radius: 999px !important;
  font-weight: bold !important;
  font-family: 'Amatic SC', sans-serif !important;
  transition: all 0.3s ease !important;
  padding: 5px !important;
  font-size: 18px !important;
  text-decoration: none !important;
  box-shadow: 0 0 8px rgba(0,0,0,0.4) !important;
}

.fowler-popup-trigger:hover {
  background: linear-gradient(135deg, #26bdb6, #8b0045) !important;
  box-shadow: 0 0 15px #26bdb6, 0 0 25px rgba(38,189,182,0.5) !important;
  text-shadow: 0 0 5px #26bdb6, 0 0 10px rgba(38,189,182,0.6) !important;
  transform: scale(1.05);
}

.fowler-popup .titlepop {
    top: -1rem;
}